System.Web 2.0.0.0 System.Web.UI.WebControls.Style System.ComponentModel.ICustomTypeDescriptor

Use the class to represent the style of a submenu in the control. A submenu can be displayed within either a static menu or a dynamic menu. A static menu is always visible on a control, whereas a dynamic menu is displayed only when the user positions the mouse pointer over a parent menu item that contains a dynamic submenu. You can specify different style characteristics (such as font size and color) for the submenus within a static menu and a dynamic menu by using the properties in the following table.

Submenu item style property

Description

The style settings for a submenu within a dynamic menu.

The style settings for a submenu within a static menu.

The class inherits most of its members from the Style class. It extends the Style class by providing properties that control the amount of space around a menu item's text. Use the property to control the amount of space to the left and right of the menu item's text. Similarly, the property controls the amount of space above and below the menu item's text.

For more information on the inherited style settings, see .

Set the z-index of HTML objects that are associated with a submenu by setting the property of the submenu style. The z-index attribute defines the stacking order of rendered HTML objects. By default, dynamic menu items will appear above any HTML object that has the default z-index (0).

Represents the style of a submenu in a control.

- Constructor

  Use this constructor to create a new instance of the class. This constructor is commonly used when dynamically populating the collection. It is also used when extending the class to initialize the submenu item style properties, such as or .

  Initializes a new instance of the class.

  2.0.0.0
- Constructor

  Use this constructor to create a new object with the information contained in the request's view state.

  Initializes a new instance of the class with the specified view-state information.

  The view-state information of the current request.
  2.0.0.0
- Method
  System.Void ``

  Use the method to duplicate the style properties of the specified object in the object that calls this method.

  All properties in the current instance of the class will be replaced by the corresponding properties in the specified object.

  To copy style properties without replacing any set values, use the method.

  Copies the style properties of the specified object into the current instance of the class.

  The object to copy. 2.0.0.0
- Method
  System.Void `` ``

  Use the method to add the style properties of the current instance of the class to the specified object.

  This method is used only by control developers.

  Adds the style properties of the object to the specified object.

  The object to which to add the style properties. The -implemented object that contains the context information for the current location (URL). 2.0.0.0
- Property
  System.ComponentModel.NotifyParentProperty(true)
  System.ComponentModel.DefaultValue(typeof(System.Web.UI.WebControls.Unit), "")
  System.Web.UI.WebControls.Unit To be added.

  Use the property to control the amount of space between the text of the submenu item and the side of the containing menu. To control the vertical space between submenu items, use the property.

  Gets or sets the amount of space to the left and right of a submenu.

  2.0.0.0
- Method
  System.Void ``

  Use the method to combine the style properties of the specified object with the style properties of the object that this method is called from.

  This method joins the style properties by setting each property that is not set in the current object with its corresponding value in the specified object. Only properties that have not been set will be updated. If a property in the specified object is not set, the corresponding property in the current object does not change.

  Combines the style properties of the specified object with those of the current instance of the class.

  The object to combine settings with. 2.0.0.0
- Method
  System.Void

  Use the method to remove any defined style elements from the state bag and reset the object to its original state.

  Returns the current instance of the class to its original state.

  2.0.0.0
- Method
  2.0.0.0
  System.ComponentModel.AttributeCollection

  This member is an explicit interface member implementation. It can only be used when the instance is cast to the interface.

  For a description of this member, see .

  An containing the attributes for this object.

- Method
  2.0.0.0
  System.String

  This member is an explicit interface member implementation. It can only be used when the instance is cast to the interface.

  For a description of this member, see .

  The class name of the object, or null if the class does not have a name.

- Method
  2.0.0.0
  System.String

  This member is an explicit interface member implementation. It can only be used when the instance is cast to the interface.

  For a description of this member, see .

  The name of the object, or null if the object does not have a name.

- Method
  2.0.0.0
  System.ComponentModel.TypeConverter

  This member is an explicit interface member implementation. It can only be used when the instance is cast to the interface.

  For a description of this member, see .

  A that is the converter for this object, or null if there is no for this object.

- Method
  2.0.0.0
  System.ComponentModel.EventDescriptor

  This member is an explicit interface member implementation. It can only be used when the instance is cast to the interface.

  For a description of this member, see .

  An object that represents the default event for the object, or null if the object has no events.

- Method
  2.0.0.0
  System.ComponentModel.PropertyDescriptor

  This member is an explicit interface member implementation. It can only be used when the instance is cast to the interface.

  For a description of this member, see .

  A object that represents the default property for this object, or null if the object does not have properties.

- Method
  2.0.0.0
  System.Object ``

  This member is an explicit interface member implementation. It can only be used when the instance is cast to the interface.

  For a description of this member, see .

  An of the specified type that is the editor for this object, or null if the editor cannot be found.

  A that represents the editor for this object.
- Method
  2.0.0.0
  System.ComponentModel.EventDescriptorCollection

  This member is an explicit interface member implementation. It can only be used when the instance is cast to the interface.

  For a description of this member, see .

  An that contains the events for this instance.

- Method
  2.0.0.0
  System.ComponentModel.EventDescriptorCollection `` To be added.

  This member is an explicit interface member implementation. It can only be used when the instance is cast to the interface.

  For a description of this member, see .

  An that contains the filtered events for this instance.

- Method
  2.0.0.0
  System.ComponentModel.PropertyDescriptorCollection

  This member is an explicit interface member implementation. It can only be used when the instance is cast to the interface.

  For a description of this member, see .

  A that contains the properties for this instance.

- Method
  2.0.0.0
  System.ComponentModel.PropertyDescriptorCollection `` To be added.

  This member is an explicit interface member implementation. It can only be used when the instance is cast to the interface.

  For a description of this member, see .

  A object that contains the filtered properties for this instance.

- Method
  2.0.0.0
  System.Object ``

  This member is an explicit interface member implementation. It can only be used when the instance is cast to the interface.

  For a description of this member, see .

  An that represents the owner of the specified property.

  A that represents the property whose owner is to be found.
- Property
  System.ComponentModel.NotifyParentProperty(true)
  System.ComponentModel.DefaultValue(typeof(System.Web.UI.WebControls.Unit), "")
  System.Web.UI.WebControls.Unit To be added.

  Use the property to control the amount of vertical space between the text of submenu items. To control the horizontal space around submenu text, use the property.

  Gets or sets the amount of space above and below a submenu.

  2.0.0.0